//!------ Create main/popup menus and statusbar---------!//

GtkWidget *Create_Menu(void)
{
	GtkWidget *Bar;
	GtkWidget *Bar_Item;
	GtkWidget *Menu;
	GtkWidget *Menu_Item;
	GtkWidget *Image;
	GdkPixbuf *Pix, *Scaled;

	Bar = gtk_menu_bar_new();
	
	Bar_Item = gtk_menu_item_new_with_mnemonic("_File");
	gtk_menu_bar_append(GTK_MENU_SHELL(Bar), Bar_Item);
	
	Menu = gtk_menu_new();
	gtk_menu_item_set_submenu(GTK_MENU_ITEM(Bar_Item), Menu);	
	
	Menu_Item = gtk_image_menu_item_new_with_label("Quit");
	g_signal_connect(Menu_Item, "activate", G_CALLBACK(Call_Main_Quit), NULL);  
	Pix = gdk_pixbuf_new_from_file("/usr/share/g2sc/images/menu-quit.svg", NULL);
	if (Pix != NULL){
		Scaled = gdk_pixbuf_scale_simple(Pix, GLOBAL_IMAGE_SIZE, GLOBAL_IMAGE_SIZE, GDK_INTERP_BILINEAR);
		Image = gtk_image_new_from_pixbuf(Scaled);
	}
	else Image = gtk_image_new_from_stock(GTK_STOCK_QUIT, GTK_ICON_SIZE_MENU);
	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM(Menu_Item), Image);
	gtk_menu_append(GTK_MENU_SHELL(Menu), Menu_Item);
			
	Bar_Item = gtk_menu_item_new_with_mnemonic("_Settings");
	gtk_menu_bar_append(GTK_MENU_SHELL(Bar), Bar_Item);
	
	Menu = gtk_menu_new();
	gtk_menu_item_set_submenu(GTK_MENU_ITEM(Bar_Item), Menu);	
	
	Menu_Item = gtk_image_menu_item_new_with_label("Browser...");
	gtk_widget_set_sensitive(Menu_Item, FALSE);
	g_signal_connect(Menu_Item, "activate", G_CALLBACK(Browser_Settings_Dialog), NULL);  
	Pix = gdk_pixbuf_new_from_file("/usr/share/g2sc/images/menu-browser.svg", NULL);
	if (Pix != NULL){
		Scaled = gdk_pixbuf_scale_simple(Pix, GLOBAL_IMAGE_SIZE, GLOBAL_IMAGE_SIZE, GDK_INTERP_BILINEAR);
		Image = gtk_image_new_from_pixbuf(Scaled);
	}
	else Image = gtk_image_new_from_stock(GTK_STOCK_NETWORK, GTK_ICON_SIZE_MENU);
	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM(Menu_Item), Image);
	gtk_menu_append(GTK_MENU_SHELL(Menu), Menu_Item);
	
	Menu_Item = gtk_image_menu_item_new_with_label("Searcher...");
	g_signal_connect(Menu_Item, "activate", G_CALLBACK(Searcher_Settings_Dialog), NULL);  
	Pix = gdk_pixbuf_new_from_file("/usr/share/g2sc/images/menu-seacher.svg", NULL);
	if (Pix != NULL){
		Scaled = gdk_pixbuf_scale_simple(Pix, GLOBAL_IMAGE_SIZE, GLOBAL_IMAGE_SIZE, GDK_INTERP_BILINEAR);
		Image = gtk_image_new_from_pixbuf(Scaled);
	}
	else Image = gtk_image_new_from_stock(GTK_STOCK_FIND, GTK_ICON_SIZE_MENU);
	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM(Menu_Item), Image);
	gtk_menu_append(GTK_MENU_SHELL(Menu), Menu_Item);
	
	Menu_Item = gtk_image_menu_item_new_with_label("Downloader...");
//	gtk_widget_set_sensitive(Menu_Item, FALSE);
	g_signal_connect(Menu_Item, "activate", G_CALLBACK(Downloader_Settings_Dialog), NULL);  
	Pix = gdk_pixbuf_new_from_file("/usr/share/g2sc/images/menu-downloader.svg", NULL);
	if (Pix != NULL){
		Scaled = gdk_pixbuf_scale_simple(Pix, GLOBAL_IMAGE_SIZE, GLOBAL_IMAGE_SIZE, GDK_INTERP_BILINEAR);
		Image = gtk_image_new_from_pixbuf(Scaled);
	}
	else Image = gtk_image_new_from_stock(GTK_STOCK_HARDDISK, GTK_ICON_SIZE_MENU);
	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM(Menu_Item), Image);
	gtk_menu_append(GTK_MENU_SHELL(Menu), Menu_Item);
	
	Menu_Item =	gtk_separator_menu_item_new();   
	gtk_menu_append(GTK_MENU_SHELL(Menu), Menu_Item);
	
	Menu_Item = gtk_image_menu_item_new_with_label("Global...");
	g_signal_connect(Menu_Item, "activate", G_CALLBACK(Global_Settings_Dialog), NULL);  
	Pix = gdk_pixbuf_new_from_file("/usr/share/g2sc/images/menu-global.svg", NULL);
	if (Pix != NULL){
		Scaled = gdk_pixbuf_scale_simple(Pix, GLOBAL_IMAGE_SIZE, GLOBAL_IMAGE_SIZE, GDK_INTERP_BILINEAR);
		Image = gtk_image_new_from_pixbuf(Scaled);
	}
	else Image = gtk_image_new_from_stock(GTK_STOCK_PREFERENCES, GTK_ICON_SIZE_MENU);
	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM(Menu_Item), Image);
	gtk_menu_append(GTK_MENU_SHELL(Menu), Menu_Item);
	
	Bar_Item = gtk_menu_item_new_with_mnemonic("_Help");
	gtk_menu_item_set_right_justified(GTK_MENU_ITEM(Bar_Item), TRUE);
	gtk_menu_bar_append(GTK_MENU_SHELL(Bar), Bar_Item);
	
	Menu = gtk_menu_new();
	gtk_menu_item_set_submenu(GTK_MENU_ITEM(Bar_Item), Menu);	

	Menu_Item = gtk_image_menu_item_new_with_label("Manual...");
	gtk_widget_set_sensitive(Menu_Item, FALSE);
	Pix = gdk_pixbuf_new_from_file("/usr/share/g2sc/images/menu-manual.svg", NULL);
	if (Pix != NULL){
		Scaled = gdk_pixbuf_scale_simple(Pix, GLOBAL_IMAGE_SIZE, GLOBAL_IMAGE_SIZE, GDK_INTERP_BILINEAR);
		Image = gtk_image_new_from_pixbuf(Scaled);
	}
	else Image = gtk_image_new_from_stock(GTK_STOCK_HELP, GTK_ICON_SIZE_MENU);
	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM(Menu_Item), Image);
	gtk_menu_append(GTK_MENU_SHELL(Menu), Menu_Item);
	
	Menu_Item =	gtk_separator_menu_item_new();   
	gtk_menu_append(GTK_MENU_SHELL(Menu), Menu_Item);
	
	Menu_Item = gtk_image_menu_item_new_with_label("About");
	g_signal_connect(Menu_Item, "activate", G_CALLBACK(About_Dialog), NULL);  
	Pix = gdk_pixbuf_new_from_file("/usr/share/g2sc/images/menu-about.svg", NULL);
	if (Pix != NULL){
		Scaled = gdk_pixbuf_scale_simple(Pix, GLOBAL_IMAGE_SIZE, GLOBAL_IMAGE_SIZE, GDK_INTERP_BILINEAR);
		Image = gtk_image_new_from_pixbuf(Scaled);
	}
	else Image = gtk_image_new_from_stock(GTK_STOCK_ABOUT, GTK_ICON_SIZE_MENU);
	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM(Menu_Item), Image);
	gtk_menu_append(GTK_MENU_SHELL(Menu), Menu_Item);

	return Bar;
}

void Create_Browser_Popup(gpointer Data)
{
	GtkWidget *Item;
	GtkWidget *Image;
	GdkPixbuf *Pix, *Scaled;
	GtkTreeIter Iter;
	gint Type;
	gchar *Path;
		
	gtk_tree_model_get_iter(gtk_tree_view_get_model(GTK_TREE_VIEW(((struct Widget_Path *)Data)->Widget)), &Iter, ((struct Widget_Path *)Data)->Path);
	gtk_tree_model_get(gtk_tree_view_get_model(GTK_TREE_VIEW(((struct Widget_Path *)Data)->Widget)), &Iter, 3, &Path, 4, &Type,-1);	
	
	Browser_Popup_Menu = gtk_menu_new();
	
	Item = gtk_image_menu_item_new_with_label("Open");
	if (Type == 8) gtk_widget_set_sensitive(Item, FALSE);		
	g_signal_connect(Item, "activate", G_CALLBACK(Call_Open), Data);  
	Pix = gdk_pixbuf_new_from_file("/usr/share/g2sc/images/popup-open.svg", NULL);
	if (Pix != NULL){
		Scaled = gdk_pixbuf_scale_simple(Pix, GLOBAL_IMAGE_SIZE, GLOBAL_IMAGE_SIZE, GDK_INTERP_BILINEAR);
		Image = gtk_image_new_from_pixbuf(Scaled);
	}
	else Image = gtk_image_new_from_stock(GTK_STOCK_OPEN, GTK_ICON_SIZE_MENU);
	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM(Item), Image);
	gtk_menu_shell_append(GTK_MENU_SHELL(Browser_Popup_Menu), Item);
	
	Item = gtk_image_menu_item_new_with_label("Save");
	if (Type != 8) gtk_widget_set_sensitive(Item, FALSE);
	g_signal_connect(Item, "activate", G_CALLBACK(Call_Append_Download), Data);  
	Pix = gdk_pixbuf_new_from_file("/usr/share/g2sc/images/popup-save.svg", NULL);
	if (Pix != NULL){
		Scaled = gdk_pixbuf_scale_simple(Pix, GLOBAL_IMAGE_SIZE, GLOBAL_IMAGE_SIZE, GDK_INTERP_BILINEAR);
		Image = gtk_image_new_from_pixbuf(Scaled);
	}
	else Image = gtk_image_new_from_stock(GTK_STOCK_SAVE, GTK_ICON_SIZE_MENU);
	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM(Item), Image);
	gtk_menu_shell_append(GTK_MENU_SHELL(Browser_Popup_Menu), Item);

	Item = gtk_image_menu_item_new_with_label("Save as...");
	gtk_widget_set_sensitive(Item, FALSE);
	Pix = gdk_pixbuf_new_from_file("/usr/share/g2sc/images/popup-saveas.svg", NULL);
	if (Pix != NULL){
		Scaled = gdk_pixbuf_scale_simple(Pix, GLOBAL_IMAGE_SIZE, GLOBAL_IMAGE_SIZE, GDK_INTERP_BILINEAR);
		Image = gtk_image_new_from_pixbuf(Scaled);
	}
	else Image = gtk_image_new_from_stock(GTK_STOCK_SAVE_AS, GTK_ICON_SIZE_MENU);
	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM(Item), Image);
	gtk_menu_shell_append(GTK_MENU_SHELL(Browser_Popup_Menu), Item);

	gtk_widget_show_all(Browser_Popup_Menu);
}

void Create_Searcher_Popup(gpointer Data)
{
	GtkWidget *Item;
	GtkWidget *Image;
	GdkPixbuf *Pix, *Scaled;
	
	Searcher_Popup_Menu = gtk_menu_new();
	 
	Item = gtk_image_menu_item_new_with_label("Save");
	g_signal_connect(Item, "activate", G_CALLBACK(Call_Append_Download), Data);  
	Pix = gdk_pixbuf_new_from_file("/usr/share/g2sc/images/popup-save.svg", NULL);
	if (Pix != NULL){
		Scaled = gdk_pixbuf_scale_simple(Pix, GLOBAL_IMAGE_SIZE, GLOBAL_IMAGE_SIZE, GDK_INTERP_BILINEAR);
		Image = gtk_image_new_from_pixbuf(Scaled);
	}
	else Image = gtk_image_new_from_stock(GTK_STOCK_SAVE, GTK_ICON_SIZE_MENU);
	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM(Item), Image);
	gtk_menu_shell_append(GTK_MENU_SHELL(Searcher_Popup_Menu), Item);

	Item = gtk_image_menu_item_new_with_label("Save as...");
	gtk_widget_set_sensitive(Item, FALSE);
	Pix = gdk_pixbuf_new_from_file("/usr/share/g2sc/images/popup-saveas.svg", NULL);
	if (Pix != NULL){
		Scaled = gdk_pixbuf_scale_simple(Pix, GLOBAL_IMAGE_SIZE, GLOBAL_IMAGE_SIZE, GDK_INTERP_BILINEAR);
		Image = gtk_image_new_from_pixbuf(Scaled);
	}
	else Image = gtk_image_new_from_stock(GTK_STOCK_SAVE_AS, GTK_ICON_SIZE_MENU);
	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM(Item), Image);
	gtk_menu_shell_append(GTK_MENU_SHELL(Searcher_Popup_Menu), Item);

	gtk_widget_show_all(Searcher_Popup_Menu);
}

/*
void Create_Downloader_Popup(void)
{
	GtkWidget *Item;
	GtkWidget *Image;
	GdkPixbuf *Pix, *Scaled;
	
	Downloader_Popup_Menu = gtk_menu_new();
	
	Item = gtk_image_menu_item_new_with_label("Start");
	Pix = gdk_pixbuf_new_from_file("/usr/share/g2sc/images/popup-start.svg", NULL);
	if (Pix != NULL){
		Scaled = gdk_pixbuf_scale_simple(Pix, GLOBAL_IMAGE_SIZE, GLOBAL_IMAGE_SIZE, GDK_INTERP_BILINEAR);
		Image = gtk_image_new_from_pixbuf(Scaled);
	}
	else Image = gtk_image_new_from_stock(GTK_STOCK_HARDDISK, GTK_ICON_SIZE_MENU);
	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM(Item), Image);
	gtk_menu_shell_append(GTK_MENU_SHELL(Downloader_Popup_Menu), Item);
	
	Item = gtk_image_menu_item_new_with_label("Pause");
	Pix = gdk_pixbuf_new_from_file("/usr/share/g2sc/images/popup-pause.svg", NULL);
	if (Pix != NULL){
		Scaled = gdk_pixbuf_scale_simple(Pix, GLOBAL_IMAGE_SIZE, GLOBAL_IMAGE_SIZE, GDK_INTERP_BILINEAR);
		Image = gtk_image_new_from_pixbuf(Scaled);
	}
	else Image = gtk_image_new_from_stock(GTK_STOCK_YES, GTK_ICON_SIZE_MENU);
	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM(Item), Image);
	gtk_menu_shell_append(GTK_MENU_SHELL(Downloader_Popup_Menu), Item);
	
	Item = gtk_image_menu_item_new_with_label("Stop");
	Pix = gdk_pixbuf_new_from_file("/usr/share/g2sc/images/popup-stop.svg", NULL);
	if (Pix != NULL){
		Scaled = gdk_pixbuf_scale_simple(Pix, GLOBAL_IMAGE_SIZE, GLOBAL_IMAGE_SIZE, GDK_INTERP_BILINEAR);
		Image = gtk_image_new_from_pixbuf(Scaled);
	}
	else Image = gtk_image_new_from_stock(GTK_STOCK_CLOSE, GTK_ICON_SIZE_MENU);
	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM(Item), Image);
	gtk_menu_shell_append(GTK_MENU_SHELL(Downloader_Popup_Menu), Item);
	
	Item = gtk_image_menu_item_new_with_label("Clear");
	Pix = gdk_pixbuf_new_from_file("/usr/share/g2sc/images/popup-clear.svg", NULL);
	if (Pix != NULL){
		Scaled = gdk_pixbuf_scale_simple(Pix, GLOBAL_IMAGE_SIZE, GLOBAL_IMAGE_SIZE, GDK_INTERP_BILINEAR);
		Image = gtk_image_new_from_pixbuf(Scaled);
	}
	else Image = gtk_image_new_from_stock(GTK_STOCK_CLEAR, GTK_ICON_SIZE_MENU);
	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM(Item), Image);
	gtk_menu_shell_append(GTK_MENU_SHELL(Downloader_Popup_Menu), Item);

	gtk_widget_show_all(Downloader_Popup_Menu);
}
*/

GtkWidget *Create_Statusbar(void)
{
	GtkWidget *Status;
	
	Status = gtk_hbox_new(FALSE, 2);

	Browser_Status = gtk_label_new("Idle");
	gtk_box_pack_start(GTK_BOX(Status), Browser_Status, TRUE, TRUE, 2);
	gtk_box_pack_start(GTK_BOX(Status), gtk_vseparator_new(), FALSE, FALSE, 0);
	
	Searcher_Status = gtk_label_new("Idle");
	gtk_label_set_ellipsize(GTK_LABEL(Searcher_Status), PANGO_ELLIPSIZE_END);
	gtk_box_pack_start(GTK_BOX(Status), Searcher_Status, TRUE, TRUE, 0);
	gtk_box_pack_start(GTK_BOX(Status), gtk_vseparator_new(), FALSE, FALSE, 0);
	
	Downloader_Status = gtk_progress_bar_new();
	gtk_progress_bar_set_ellipsize(GTK_PROGRESS_BAR(Downloader_Status), PANGO_ELLIPSIZE_START);
	gtk_progress_bar_set_text(GTK_PROGRESS_BAR(Downloader_Status),"Idle");
	gtk_box_pack_start(GTK_BOX(Status), Downloader_Status, TRUE, TRUE, 2);
	
	return Status;
}
